MuleInvoker (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.cxf.MuleInvoker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.cxf
Class MuleInvoker

    java.lang.Object
      org.mule.transport.cxf.MuleInvoker

All Implemented Interfaces:
  org.apache.cxf.service.invoker.Invoker

    public class MuleInvoker

extends Object
implements org.apache.cxf.service.invoker.Invoker

Invokes a Mule Service via a CXF binding.

Constructor Summary
`MuleInvoker(CxfMessageReceiver receiver, Class<?> targetClass, boolean synchronous)`

Method Summary
`InboundEndpoint` | `getEndpoint()`
`static Method` | `getMostSpecificMethod(Method method, Class<?> targetClass)` Given a method, which may come from an interface, and a targetClass used in the current AOP invocation, find the most specific method if there is one.
`Object` | `invoke(org.apache.cxf.message.Exchange exchange, Object o)`
`static boolean` | `isJdkDynamicProxy(Object object)` Return whether the given object is a J2SE dynamic proxy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleInvoker

    public MuleInvoker(CxfMessageReceiver receiver,
                       Class<?> targetClass,
                       boolean synchronous)

Method Detail

### invoke

    public Object invoke(org.apache.cxf.message.Exchange exchange,
                         Object o)

  Specified by:
    `invoke` in interface `org.apache.cxf.service.invoker.Invoker`

### getEndpoint

    public InboundEndpoint getEndpoint()

### isJdkDynamicProxy

    public static boolean isJdkDynamicProxy(Object object)

  Return whether the given object is a J2SE dynamic proxy.

  Parameters:
    `object` - the object to check
  See Also:
    `Proxy.isProxyClass(java.lang.Class)`

### getMostSpecificMethod

    public static Method getMostSpecificMethod(Method method,
                                               Class<?> targetClass)

  Given a method, which may come from an interface, and a targetClass used in the current AOP invocation, find the most specific method if there is one. E.g. the method may be IFoo.bar() and the target class may be DefaultFoo. In this case, the method may be DefaultFoo.bar(). This enables attributes on that method to be found.

  Parameters:
    `method` - method to be invoked, which may come from an interface
    `targetClass` - target class for the curren invocation. May be `null` or may not even implement the method.
  Returns:
    the more specific method, or the original method if the targetClass doesn't specialize it or implement it or is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.